/**
 * This is a sample webhook payload to test the order_created webhook from saleor
 */
export const ORDER_CREATED_NO_PAYMENT_SAMPLE_WEBHOOK = [{
    type: 'Order',
    id: 'T3JkZXI6MTk5MA==',
    channel: {
        type: 'Channel',
        id: 'Q2hhbm5lbDox',
        slug: 'storefront',
        currency_code: 'EUR',
    },
    shipping_method: {
        type: 'weight',
        id: 'U2hpcHBpbmdNZXRob2Q6NjU=',
        name: 'DPD Standard - klimaneutraler Versand',
    },
    payments: null,
    shipping_address: {
        type: 'Address',
        id: 'QWRkcmVzczpOb25l',
        first_name: 'Linda',
        last_name: 'Dunn',
        company_name: '',
        street_address_1: '60975 Jessica Squares',
        street_address_2: '',
        city: 'East Sallybury',
        city_area: '',
        postal_code: '31776',
        country: 'DE',
        country_area: '',
        phone: '',
    },
    billing_address: {
        type: 'Address',
        id: 'QWRkcmVzczpOb25l',
        first_name: 'Linda',
        last_name: 'Thomas',
        company_name: '',
        street_address_1: '15871 Arnold Squares Apt. 858',
        street_address_2: '',
        city: 'Port Carrie',
        city_area: '',
        postal_code: '77521',
        country: 'DE',
        country_area: '',
        phone: '',
    },
    discounts: null,
    original: 'T3JkZXI6Tm9uZQ==',
    lines: [{
        type: 'OrderLine',
        id: 'T3JkZXJMaW5lOjI1MjY=',
        total_price_net_amount: '6.72',
        total_price_gross_amount: '8.00',
        allocations: [],
        product_name: '2 Bio Cold Brew Kaffee fruchtig & schokoladig',
        variant_name: 'Fruchtig + Schokoladig',
        translated_product_name: '2 Organic Cold Brew – fruity & chocolate notes',
        translated_variant_name: '',
        product_sku: 'friends-coldbrew-gemischt-2',
        quantity: 1,
        currency: 'EUR',
        unit_discount_amount: '0.00',
        unit_discount_type: 'fixed',
        unit_discount_reason: null,
        unit_price_net_amount: '6.72',
        unit_price_gross_amount: '8.00',
        undiscounted_unit_price_gross_amount: '8.00',
        undiscounted_unit_price_net_amount: '4.75',
        undiscounted_total_price_gross_amount: '8.00',
        undiscounted_total_price_net_amount: '4.75',
        tax_rate: '0.1905',
        voucher_code: null,
        sale_id: null,
    }, {
        type: 'OrderLine',
        id: 'T3JkZXJMaW5lOjI1Mjc=',
        total_price_net_amount: '6.10',
        total_price_gross_amount: '7.26',
        allocations: [{
            quantity_allocated: 1,
            warehouse_id: 'V2FyZWhvdXNlOjQ2NDgyZWI2LTk1OGYtNGI4Ny1hYmFhLWM1NjJjMTY4MTAwOA==',
        }],
        product_name: '3 Lebkuchen in Bio-Folie',
        variant_name: 'Mixed',
        translated_product_name: '3 Lebkuchen in compostable foil',
        translated_variant_name: '',
        product_sku: 'pf-leb-3-gemischt',
        quantity: 1,
        currency: 'EUR',
        unit_discount_amount: '3.24',
        unit_discount_type: 'fixed',
        unit_discount_reason: 'Sale: U2FsZTox',
        unit_price_net_amount: '6.10',
        unit_price_gross_amount: '7.26',
        undiscounted_unit_price_gross_amount: '10.50',
        undiscounted_unit_price_net_amount: '6.23',
        undiscounted_total_price_gross_amount: '10.50',
        undiscounted_total_price_net_amount: '6.23',
        tax_rate: '0.1902',
        voucher_code: null,
        sale_id: 'U2FsZTox',
    }],
    fulfillments: [],
    private_metadata: [
        ['http://bradley.com/app/blog/register/'], {
            report: 'ChNzFJEUSgqMReEKilxK',
        }, {
            analysis: {
                0: '2003-02-28T01:14:58',
                1: ['2011-02-06T22:32:40', 'TzqyQTQjZGeLZuJqlLaQ', '2011-08-26T21:10:56'],
                2: {
                    0: 'jFkpJjyVGbVPgnHQHfiS',
                    1: 'cJDXWVcMKILUHtBkEahr',
                    2: [1535, 584],
                },
            },
        },
    ],
    metadata: [
        [1349], {
            student: 'JghceKRJRBBmlJQvozHK',
        }, {
            government: {
                0: 1889,
                1: ['-24953.1043830061', 5850477670784.54, 'fhKcDVBJbHFDutYbbXjg'],
                2: {
                    0: 'LdJCGRddpwdyFKunVyUD',
                    1: 'kramereric@peterson.com',
                    2: ['http://www.maldonado-mccullough.net/tags/category/about/', 813715717273.8],
                },
            },
        },
    ],
    created: '2022-04-19T12:44:10.325Z',
    status: 'unfulfilled',
    user_email: 'megan.chang@example.com',
    origin: 'draft',
    shipping_method_name: 'DPD Standard - klimaneutraler Versand',
    shipping_price_net_amount: '4.16',
    shipping_price_gross_amount: '4.95',
    shipping_tax_rate: '0.1900',
    token: '7a699216-6230-4313-9db1-1b063450c4ad',
    total_net_amount: '16.98',
    undiscounted_total_net_amount: '16.98',
    total_gross_amount: '20.21',
    undiscounted_total_gross_amount: '20.21',
    weight: '250.0:g',
}];
